package de.juplo.facebook.exceptions;


import java.util.Map;
import org.springframework.security.oauth2.client.resource.UserRedirectRequiredException;



/**
 *
 * @author kai
 */
public class SignedRequestAwareUserRedirectRequiredException
    extends
      UserRedirectRequiredException
{
  private final Map<String,Object> signedRequestData;


  public SignedRequestAwareUserRedirectRequiredException(
      String redirectUri,
      Map<String,String> requestParams,
      Map<String,Object> signedRequestData
      )
  {
    super(redirectUri, requestParams);
    this.signedRequestData = signedRequestData;
  }


  public Map<String, Object> getSignedRequestData()
  {
    return signedRequestData;
  }
}
